<div class="filter-compare ">
    <div class="row">
        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">เกณฑ์รายงานข่าว : </small>
            <mat-form-field appearance="outline">
                <mat-select multiple [(ngModel)]="criterion">
                    <mat-option [value]="item.value" *ngFor="let item of criterionList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>


        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">ขนาด(Mag.) : </small>

            <mat-form-field appearance="outline" style="width: 150px;">
                <mat-select multiple [(ngModel)]="sizeMag">
                    <mat-option [value]="item.value" *ngFor="let item of sizeMagList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>


        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">แหล่งข้อมูล(Mag.) : </small>
            <mat-form-field appearance="outline" style="width: 150px;">
                <mat-select multiple [(ngModel)]="resources">
                    <mat-option [value]="item.value" *ngFor="let item of resourcesList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>


        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">เกณฑ์ความเสียหาย: </small>
            <mat-form-field appearance="outline" style="width: 250px;">
                <mat-select multiple [(ngModel)]="damageCriteria">
                    <mat-option [value]="item.value" *ngFor="let item of damageCriteriaList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>


        <div class="mr-5 mt-3 " style="width: auto">
            <mat-form-field appearance="outline">
                <mat-select multiple [(ngModel)]="damageTsunami">
                    <mat-option [value]="item.value" *ngFor="let item of damageTsunamiList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.name}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div><br>


        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">แสดงข้อมูล: </small>
            <mat-radio-group aria-label="Select an option mr-3" color="primary" [(ngModel)]="dataDisplay">
                <mat-radio-button value="1">ย้อนหลัง 3 วัน</mat-radio-button>
                <mat-radio-button value="2">ระบุวัน</mat-radio-button>
            </mat-radio-group>

            <mat-form-field class="ml-3" appearance="outline" style="width: 150px;" *ngIf="dataDisplay == '2'">
                <input matInput [matDatepicker]="picker" [(ngModel)]="dateDisplay">
                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <button mat-raised-button class="ml-3 btn-compare" color="primary" (click)="onFilter()">กรองข้อมูล</button>
        </div>

    </div>
</div>